Description

Version 1.2.2.1622 x64 on Steam

When in Career mode my save games become progressively more and more unstable causing game crashes. The longer | have
played a Career mode game the more unstable it becomes, eventually becoming so unstable that it is impossible to play the game
and | must create a new Career. This issue doesn't seem to be dependent on version of KSP, I've had KSP since approx version
0.9. This issue has always occurred regardless of version, and some builds seem more stable than others.

The game will crash in any of the Ul, tracking station, in flight, VAB, etc... It is typically worst when flying a craft.

Creating a new save will fix the issue temporarily, until the save file has some game-time, flights, then the game crashes return, and
they get progressively worse the longer that save file is used.

It does not seem to matter what type of craft is used, stock or custom, or how it is used, or flown, whether or not there is any input or
not, whether the craft is stationary or moving, the same issue always re-appears.

Terminating debris will sometimes help, but not always, it may be placebo on my part.

Turning time acceleration up with no flights, or very few flights seems to have no effect.

Having more than a few flights seems to make crashes happen more often.

Copying craft files from older saves over to a new saves does not introduce any instability.

| do not currently have any mods, | have tried uninstalling the game, deleting all files related to the game, and reinstalling it multiple
times.

I've attached the latest save game that has become nearly unplayable due to instability, and the last 3 crashes all from today. | have
55 crashes I've kept from the last 6 months that can be provided at request. | can provide any information, files, and/or clarification
needed

History

#1 - 02/26/2017 05:47 PM - pschafer82
- File crash.dmp added

- File error.log added

- File output_log.txt added

- File Dawn tester.craft added

- File persistent.loadmeta added

- File persistent.sfs added

Just crashed again coming out of the VAB. Created a fairly simple rocket/test rig for a contract. Saved the vessel, hit "launch" and the game crashed
as soon as | hit "launch".

#2 - 03/04/2017 05:30 AM - Anth12

- File persistent.sfs added

Ok | loaded up your save...even took your Dawn tester rocket to the Mun and completed the mission. There was no issue.

| have my own problems with this game

The memory keeps climbing over time

The game starts to take longer and longer to load between the SPH/VAB and the runway/launchpad.

The game starts to 'stick’ especially when | am around Ike...but crashing when coming out of the VAB? never happened to me. My career save hasnt
got the number of ships that

yours does, my career save has been running since 14th of October last year. Here take a look if you want....
What is your computer specs? Have all your reported problems with KSP all being with the same computer?
Have you tried shutting down other processes/applications the computer is running at the same time?

#3 - 05/26/2017 03:01 PM - Squelch

- Status changed from New to Ready to Test
- Severity changed from Critical to Normal

- Target version set to 1.3.0

- % Done changed from 0 to 80

Version 1.3 brings a number of bug fixes and optimizations which may help in this situation.

#4 - 07/30/2018 05:28 PM - JoESmash

pschafer82 wrote:

Just crashed again coming out of the VAB. Created a fairly simple rocket/test rig for a contract. Saved the vessel, hit "launch" and the game
crashed as soon as | hit "launch".

| believe | may have solved this bug. | have been having VERY frequent crashes when reverting flights back to the VAB, or entering or leaving the
VAB in general. | also run the Windows 64bit game and one of the only things in my error log with the crash dump is xinput1_3.dll.

What | did was | went into my Windows/System32 folder and scrolled down to the xinput1_3.dll file and | renamed the file xinput1_3_fail.dll (so | could
rename it back to the way it was later if | needed to for another game....NEVER delete Windows files)

Then | went into the main Kerbal Space Program folder and went into KSP_x64_Data\Plugins and copied the 32bit version of xinput1_3.dll and
pasted that copy into my Windows\system32 folder. My game never crashes anymore. There is a slightly longer delay when entering the VAB
now(like 5 seconds instead of 2), but my game no longer crashes.

Try that and reply here if you have any improvement. If not just delete the xinput1_3.dll copy you put in your windows\system32 file and rename the
original back to xinput1_3.dIl.

#5 - 07/24/2019 11:51 PM - chris.fulton
- Status changed from Ready to Test to Resolved
- % Done changed from 80 to 100

#6 - 07/24/2019 11:51 PM - chris.fulton

- Status changed from Resolved to Closed

Files

persistent.sfs 2.46 MB 02/23/2017 pschafer82
error.log 18.4 KB 02/24/2017 pschafer82
crash.dmp 165 KB 02/24/2017 pschafer82
output_log.txt 506 KB 02/24/2017 pschafer82
error.log 36.1 KB 02/24/2017 pschafer82
crash.dmp 182 KB 02/24/2017 pschafer82
output_log.txt 709 KB 02/24/2017 pschafer82
error.log 26.4 KB 02/24/2017 pschafer82
crash.dmp 180 KB 02/24/2017 pschafer82
output_log.ixt 488 KB 02/24/2017 pschafer82
error.log 11.4 KB 02/26/2017 pschafer82
crash.dmp 163 KB 02/26/2017 pschafer82
output_log.ixt 551 KB 02/26/2017 pschafer82
Dawn tester.craft 84 KB 02/26/2017 pschafer82
persistent.loadmeta 237 Bytes 02/26/2017 pschafer82
persistent.sfs 2.53 MB 02/26/2017 pschafer82
persistent.sfs 3.1 MB 03/04/2017 Anth12
